Subject: Re: Linking gnu-win32 (X11R6.3) libraries in MS-Developer (*.a -?-> *.lib)
From: [email-masked] (Arlindo da Silva)

29 Sep 1997 14:54:54 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked] (Tor M. Aamodt)
Cc: [email-masked], [email-masked]

Tor,

> 
> I'm a bit confused by your responses ( Arlindo and Sergey ) to my question.
> I am trying to debug with the MS Developer Studio (under NT 4.0), and you both
> mention using ld, which is part of gnu-win32.  How will a new ld fix things if
> MSDEV doesn't use the old one (it used a program called link.exe)?  Is it not
> possible to link to the *.dll's made with gnu-win32 using anything but ld?
> Perhaps I am misunderstanding you.   Do you mean that remaking the libraries
> with a new ld would fix the problem?  If so, how does one get the source code
> / new ld?
>

Sorry if I didn't address your question directly. I just wanted to
mention that I have encountered a similar kind of problem (being able
to build on NT but not on w95). 

> Some else ([email-masked]) offered me the reasonable
> advice that the Developer Studio probably misinterpretes *.a files
> and so I (after having learned how to do this from him) converted
> libX11.a to .lib format to no avail (exact same errors).  If the
> code makes and works correctly with g++ under NT, is it still really
> likely to be an error in the library, or more likely a compatibility
> issue with link.exe?  Thanks, Tor

As Sergey mentions, the problem was not with "ld" proper, but a w95
bug which the new "ld" will circumvent. Sorry, Tor, I am clueless.

BTW, the X11R6.3 libs builds out of the "tarfile" (so to speak) with
the MSVC compiler (I did that once but don't have the *.lib's around
anymore). Those libraries would certainly be compatible with LINK.EXE.

	Arlindo.

-- 

   *-----------------------------------------------------------------*
   |                                                                 |
   |             ^|^                     ARLINDO DA SILVA            |
   |              |                     212 Lexington Drive          |
   |             _|_                  Silver Spring, MD 20901        |
   |      @  ___|___|__                                              |
   |     _|_|__________|_______/     mailto:[email-masked]     |
   |    \  o o o o o o o  /                                          |
   |     \_______________/             Home: (301) 754-1121          |
   |  ^^^^^^^^^^^^^^^^^^^^^^^^          FAX: (301) 805-7960          |
   |                                                                 |
   *-----------------------------------------------------------------*

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".